import React from 'react';
import type { SetStateAction, Dispatch, FC, ReactElement } from 'react';
import { View } from 'react-native';
import type { IAutocompleteDropdownRef } from './types';
export interface IAutocompleteDropdownContext {
    content?: ReactElement;
    setContent: Dispatch<SetStateAction<ReactElement | undefined>>;
    direction?: 'up' | 'down';
    setDirection: Dispatch<SetStateAction<IAutocompleteDropdownContext['direction']>>;
    activeInputContainerRef?: React.RefObject<View | null>;
    activeControllerRef?: React.RefObject<IAutocompleteDropdownRef | null>;
    controllerRefs?: React.RefObject<IAutocompleteDropdownRef[]>;
}
export interface IAutocompleteDropdownContextProviderProps {
    headerOffset?: number;
    children: React.ReactNode;
}
export declare const AutocompleteDropdownContext: React.Context<IAutocompleteDropdownContext>;
export declare const AutocompleteDropdownContextProvider: FC<IAutocompleteDropdownContextProviderProps>;
//# sourceMappingURL=AutocompleteDropdownContext.d.ts.map